bool onloc1 = false;
bool onloc2 = false;
bool onloc3 = false;
bool visit1 = false;
bool visit2 = false;
bool visit3 = false;
bool tele1 = false;
bool tele2 = false;
bool tele3 = false;
bool volunonloc1 = false;
bool volunonloc2 = false;
bool volunonloc3 = false;
bool volunvisit1 = false;
bool volunvisit2 = false;
bool volunvisit3 = false;
bool voluntele1 = false;
bool voluntele2 = false;
bool voluntele3 = false;
